<?xml version="1.0" encoding="UTF-8"?>

<LWM2M xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://openmobilealliance.org/tech/profiles/LWM2M.xsd">
	<Object ObjectType="MODefinition">
		<Name>Propulsion</Name>
		<Description1>This  object is dedicated at  propulsion to gestin the orbit.</Description1>
		<ObjectID>3306</ObjectID>
		<ObjectURN>urn:oma:lwm2m:ext:3306</ObjectURN>
		<LWM2MVersion>1.0</LWM2MVersion>
                <ObjectVersion>1.0</ObjectVersion>
		<MultipleInstances>Multiple</MultipleInstances>
		<Mandatory>Optional</Mandatory>
		<Resources>
			<Item ID="5823">
				<Name>Event Identifier</Name>
				<Operations>RW</Operations>
				<MultipleInstances>Single</MultipleInstances>
				<Mandatory>Mandatory</Mandatory>
				<Type>String</Type>
				<RangeEnumeration/>
				<Units/>
				<Description>The event identifier as a string.</Description>
			</Item>
			<Item ID="5826">
				<Name>Criticality Level</Name>
				<Operations>RW</Operations>
				<MultipleInstances>Single</MultipleInstances>
				<Mandatory>Optional</Mandatory>
				<Type>Integer</Type>
				<RangeEnumeration>0-3</RangeEnumeration>
				<Units/>
				<Description>The criticality of the event.  The device receiving the event will react in an appropriate fashion for the device.</Description>
			</Item>	
		    <Item ID="5705">
                <Name>Compass Direction</Name>
                <Operations>R</Operations>
                <MultipleInstances>Single</MultipleInstances>
                <Mandatory>Mandatory</Mandatory>
                <Type>Float</Type>
                <RangeEnumeration>0-360</RangeEnumeration>
                <Units>degree</Units>
                <Description>This indicates the compass direction of some phenomenon.</Description>
            </Item>
			<Item ID="5850">
				<Name>On/Off</Name>
				<Operations>RW</Operations>
				<MultipleInstances>Single</MultipleInstances>
				<Mandatory>Mandatory</Mandatory>
				<Type>Boolean</Type>
				<RangeEnumeration/>
				<Units/>
				<Description>On/Off</Description>
			</Item>
			<Item ID="5523">
                <Name>Trigger</Name>
                <Operations>E</Operations>
                <MultipleInstances>Single</MultipleInstances>
                <Mandatory>Optional</Mandatory>
                <Type/>
                <RangeEnumeration/>
                <Units/>
                <Description>Trigger initiating actuation.</Description>
            </Item>
			<Item ID="5524">
                <Name>Duration</Name>
                <Operations>RW</Operations>
                <MultipleInstances>Single</MultipleInstances>
                <Mandatory>Optional</Mandatory>
                <Type>Float</Type>
                <RangeEnumeration/>
                <Units>s</Units>
                <Description>The duration of the meausure once trigger.</Description>
            </Item>
			<Item ID="5851">
				<Name>Direction</Name>
				<Operations>RW</Operations>
				<MultipleInstances>Single</MultipleInstances>
				<Mandatory>Mandatory</Mandatory>
				<Type>Integer</Type>
				<RangeEnumeration/>
				<Units/>
				<Description><![CDATA[0: 
													1:  	
													2: 						
													3:					
													4:  				
													5: 									
													depending on the direction of the phenomenon, the appropriate motors are activated.]]></Description>
			</Item>
			<Item ID="5709">
			<Name>Model</Name>
				<Operations>R</Operations>
				<MultipleInstances>Single</MultipleInstances>
				<Mandatory>Optional</Mandatory>
				<Type>String</Type>
				<RangeEnumeration/>
				<Units/>
		</Resources>
		<Description2/>
	</Object>
</LWM2M>